View Issue Details

IDProjectCategoryView StatusLast Update
0002055Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2016-12-09 07:52
Reporter_GeminiAssigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002055: [1.10.2] Game Crashes When Unloading Chunks with IC2 Blocks That Uses Energy
DescriptionGame will crash if a chunk unloads with an IC2 block that uses energy.

IC2 Version: industrialcraft-2-2.6.125-ex110
Forge Version: 12.18.3.2185
Steps To Reproduce1.) Ensure the chunk you are in will unload.
2.) Place down any block that uses energy. Generator, macerator, or batbox will crash the game if placed in a chunk that unloads.
3.) Fly away, and eventually the game will crash when the chunk unloads the block was placed in.
TagsNo tags attached.
Minecraft Version1.10.2

Activities

_Gemini

2016-12-08 22:15

reporter  

crash-2016-12-08_16.57.30-server.txt (5,565 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  IC2core (industrialcraft-2-2.6.125-ex110.jar)
Contact their authors BEFORE contacting forge

// Shall we play a game?

Time: 12/8/16 4:57 PM
Description: Exception ticking world entities

java.lang.NullPointerException: Exception ticking world entities
	at ic2.core.energy.leg.EnergyNetLocalLeg.removeTileEntity(EnergyNetLocalLeg.java:346)
	at ic2.core.energy.leg.EventHandler.onEnergyTileUnload(EventHandler.java:37)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_EventHandler_onEnergyTileUnload_EnergyTileUnloadEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:185)
	at ic2.core.block.comp.Energy.onUnloaded(Energy.java:122)
	at ic2.core.block.TileEntityBlock.onUnloaded(TileEntityBlock.java:174)
	at ic2.core.block.generator.tileentity.TileEntityBaseGenerator.onUnloaded(TileEntityBaseGenerator.java:77)
	at ic2.core.block.TileEntityBlock.onChunkUnload(TileEntityBlock.java:102)
	at net.minecraft.world.World.func_72939_s(World.java:1843)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:620)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:709)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:613)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:149)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:471)
	at java.lang.Thread.run(Unknown Source)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
	at ic2.core.energy.leg.EnergyNetLocalLeg.removeTileEntity(EnergyNetLocalLeg.java:346)
	at ic2.core.energy.leg.EventHandler.onEnergyTileUnload(EventHandler.java:37)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_26_EventHandler_onEnergyTileUnload_EnergyTileUnloadEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:185)
	at ic2.core.block.comp.Energy.onUnloaded(Energy.java:122)
	at ic2.core.block.TileEntityBlock.onUnloaded(TileEntityBlock.java:174)
	at ic2.core.block.generator.tileentity.TileEntityBaseGenerator.onUnloaded(TileEntityBaseGenerator.java:77)
	at ic2.core.block.TileEntityBlock.onChunkUnload(TileEntityBlock.java:102)
	at net.minecraft.world.World.func_72939_s(World.java:1843)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:620)

-- Affected level --
Details:
	Level name: Lets Crash It
	All players: 1 total; [EntityPlayerMP['Ian0611'/1502, l='Lets Crash It', x=-387.64, y=92.91, z=137.15]]
	Chunk stats: ServerChunkCache: 840 Drop: 0
	Level seed: -5366359601356661563
	Level generator: ID 00 - default, ver 1. Features enabled: true
	Level generator options: 
	Level spawn location: World: (107,64,126), Chunk: (at 11,4,14 in 6,7; contains blocks 96,0,112 to 111,255,127), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 901 game time, 901 day time
	Level dimension: 0
	Level storage version: 0x04ABD - Anvil
	Level weather: Rain time: 160971 (now: false), thunder time: 165000 (now: false)
	Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: true
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:709)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:613)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:149)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:471)
	at java.lang.Thread.run(Unknown Source)

-- System Details --
Details:
	Minecraft Version: 1.10.2
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_111, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 284577944 bytes (271 MB) / 869502976 bytes (829 MB) up to 1060372480 bytes (1011 MB)
	JVM Flags: 6 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
	IntCache: cache: 0, tcache: 0, allocated: 13, tallocated: 95
	FML: MCP 9.32 Powered by Forge 12.18.3.2185 5 mods loaded, 5 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.3.2185.jar) 
	UCHIJAAAA	Forge{12.18.3.2185} [Minecraft Forge] (forge-1.10.2-12.18.3.2185.jar) 
	UCHIJAAAA	mercurius_updater{1.0} [mercurius_updater] (MercuriusUpdater-1.10.2.jar) 
	UCHIJAAAA	IC2{2.6.125-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.125-ex110.jar) 
	Loaded coremods (and transformers): 
IC2core (industrialcraft-2-2.6.125-ex110.jar)
  
	GL info: ~~ERROR~~ RuntimeException: No OpenGL context found in the current thread.
	Profiler Position: N/A (disabled)
	Player Count: 1 / 8; [EntityPlayerMP['Ian0611'/1502, l='Lets Crash It', x=-387.64, y=92.91, z=137.15]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'

Chocohead

2016-12-08 22:34

developer   ~0004920

Yeah, the fix in 125 broke other things. Fixed in IC2 2.6.127

_Gemini

2016-12-09 05:11

reporter   ~0004923

Yes, this issue is fixed in IC2 2.6.127; however, I am experiencing issue 2056. My dedicated server won't start with the latest build IC2 2.6.127.

Chocohead

2016-12-09 07:52

developer   ~0004925

Everything should work again now.

Issue History

Date Modified Username Field Change
2016-12-08 22:15 _Gemini New Issue
2016-12-08 22:15 _Gemini File Added: crash-2016-12-08_16.57.30-server.txt
2016-12-08 22:34 Chocohead Note Added: 0004920
2016-12-08 22:34 Chocohead Status new => resolved
2016-12-08 22:34 Chocohead Fixed in Version => Builds for MC 1.10.x
2016-12-08 22:34 Chocohead Resolution open => fixed
2016-12-08 22:34 Chocohead Assigned To => Chocohead
2016-12-09 05:11 _Gemini Note Added: 0004923
2016-12-09 07:52 Chocohead Note Added: 0004925